summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2016-02-06 09:25:11 +0100
committerJustin Lecher <jlec@gentoo.org>2016-02-06 09:51:09 +0100
commit0d9f5ad3c9ad80e39c843e0a4e2f1db806a1b8a3 (patch)
tree9ba3f91aa2d421454a1ff13bcb8d8945219032e8 /dev-python/wheel
parentsci-physics/clhep: Stable for HPPA (bug #556782). (diff)
downloadgentoo-0d9f5ad3c9ad80e39c843e0a4e2f1db806a1b8a3.tar.gz
gentoo-0d9f5ad3c9ad80e39c843e0a4e2f1db806a1b8a3.tar.bz2
gentoo-0d9f5ad3c9ad80e39c843e0a4e2f1db806a1b8a3.zip
dev-python/wheel: Version Bump
Package-Manager: portage-2.2.27 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'dev-python/wheel')
-rw-r--r--dev-python/wheel/Manifest1
-rw-r--r--dev-python/wheel/wheel-0.28.0.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/wheel/Manifest b/dev-python/wheel/Manifest
index f2b06ac38e2..a06aea65e96 100644
--- a/dev-python/wheel/Manifest
+++ b/dev-python/wheel/Manifest
@@ -1,3 +1,4 @@
DIST wheel-0.24.0.tar.gz 50597 SHA256 ef832abfedea7ed86b6eae7400128f88053a1da81a37c00613b1279544d585aa SHA512 9990e6bb6e42eebdac26ce75cee13e3b3da293520b2b25fad6dd328b920ce484bcf238ab7f9092d4ac565e26833b164b1ad5b8b258c824ff07daede127b17283 WHIRLPOOL faf13ddf756910558fd13d3b9eae399e488cd1938998c58a1ac3117aa7843480da5aab7c8454d67596cac8f524e23c4465e0ee9d2499a6af4afd2017c6b5314d
DIST wheel-0.26.0.tar.gz 51207 SHA256 eaad353805c180a47545a256e6508835b65a8e830ba1093ed8162f19a50a530c SHA512 04edbb993f1a2a6f9d22ca5eccd267da018df716a0d266d2f7bf6f7f5f4080e252163c84e07abf04cdd449a15c440a19981fe0669c4adc4d8a96667e325f7e24 WHIRLPOOL 8ab5c6ed7b36cf15ca77d4effa8f8c3ef0b44bb49c5a01d83ccd8eca35058e9012bee2ceb23139c1e6880e94aac314d20ad689074bb6a3fbb8bf408a5b8bfcaa
DIST wheel-0.27.0.tar.gz 54003 SHA256 0beae2ec3a20df54869177ec00b4619219bc7cab5578984fb400517aee2df523 SHA512 26e95032861ef230cc0273360bc9439b4fe106379876ef6bec5f109d79f3d1f8701056b3752487cacf87ba902fc2df916b65f992454b64cc44cd8bf6ec8403f0 WHIRLPOOL 3215d55a742883842162ac289d8a62a8d1cbf1aaaeae88125db5bf5fcd01145076d9e5f66e440791862575f0fd723903116c4016c745c8cdb81965088d237619
+DIST wheel-0.28.0.tar.gz 54052 SHA256 70525cdda4fe80f3f4b7b5c00cffe4f5d967ec35f6ec55924b13ebd3f58694e1 SHA512 b15c77c1b282b4d7e4e39c8f475403a8ccb7f44a695ad6433630ecb1de450a951b2012387b8f73d95c47c1bc7d60f8fb56e5d2315fd0d2c404bf186f56e7cb08 WHIRLPOOL 5413e23d8f28a6a731928e7f3fbb5ff9dd1836da2ad7133665bd72859442406a12164d92efd82791a1286e8b8aa138bda92690a157f25e3fa91ecbb4d9a20798
diff --git a/dev-python/wheel/wheel-0.28.0.ebuild b/dev-python/wheel/wheel-0.28.0.ebuild
new file mode 100644
index 00000000000..e9a850562b2
--- /dev/null
+++ b/dev-python/wheel/wheel-0.28.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A built-package format for Python"
+HOMEPAGE="https://pypi.python.org/pypi/wheel"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="doc test"
+
+RDEPEND="dev-python/jsonschema[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+# test? (
+# dev-python/keyring
+# dev-python/keyrings_alt
+# dev-python/ed25519ll
+# dev-python/pytest[${PYTHON_USEDEP}]
+# )
+#"
+
+# Fails somehow
+RESTRICT=test
+
+python_test() {
+ sed \
+ -e 's:--cov=wheel::g' \
+ -i setup.cfg || die
+ py.test -v -v || die "testsuite failed under ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "Signature support" \
+ dev-python/keyring \
+ dev-python/keyrings_alt \
+ dev-python/ed25519ll
+}